Bug 1015953 - Impossible to deploy ejb-throws-exception, ejb-in-ear, kitchensink-ear, kitchensink-ml-ear, wicket-ear quickstarts examples
Impossible to deploy ejb-throws-exception, ejb-in-ear, kitchensink-ear, kitch...
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Quickstarts (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity unspecified
: ER5
: EAP 6.2.0
Assigned To: sgilda
Vladimir Rastseluev
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-07 02:23 EDT by Vladimir Rastseluev
Modified: 2017-10-09 20:12 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-15 11:19:53 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vladimir Rastseluev 2013-10-07 02:23:48 EDT
Description of problem:
Execution of goal jboss-as:deploy on ejb-throws-exception, ejb-in-ear, kitchensink-ear, kitchensink-ml-ear, wicket-ear examples failed because of wrong .ear file name: 
e.g.
maven tries to deploy /ejb-throws-exception/ear/target/jboss-ejb-throws-exception-ear.ear file, but there is
/ejb-throws-exception/ear/target/jboss-ejb-throws-exception.ear only

Version-Release number of selected component (if applicable):
EAP 6.2.0 ER4

How reproducible:
easy

Steps to Reproduce:
1. start standalone server
2. cd $QICKSTARTS_ROOT/ejb-throws-exception
3. mvn clean package jboss-as:deploy

Actual results:
[INFO] ------------------------------------------------------------------------
[INFO] Reactor Summary:
[INFO] 
[INFO] JBoss EAP Quickstart: ejb-throws-exception ........ SUCCESS [9.143s]
[INFO] JBoss EAP Quickstart: ejb-throws-exception - ejb-api  SUCCESS [2.365s]
[INFO] JBoss EAP Quickstart: ejb-throws-exception - ejb .. SUCCESS [1.402s]
[INFO] JBoss EAP Quickstart: ejb-throws-exception - web .. SUCCESS [1.304s]
[INFO] JBoss EAP Quickstart: ejb-throws-exception - ear .. FAILURE [1.053s]
[INFO] ------------------------------------------------------------------------
[INFO] BUILD FAILURE
[INFO] ------------------------------------------------------------------------
[INFO] Total time: 16.452s
[INFO] Finished at: Mon Oct 07 07:57:42 CEST 2013
[INFO] Final Memory: 22M/65M
[INFO] ------------------------------------------------------------------------
[ERROR] Failed to execute goal org.jboss.as.plugins:jboss-as-maven-plugin:7.4.Final:deploy (default-cli) on project jboss-ejb-throws-exception-ear: Error executing FORCE_DEPLOY: /home/vrastsel/jboss-eap-6.2.0-quickstarts/ejb-throws-exception/ear/target/jboss-ejb-throws-exception-ear.ear (No such file or directory) -> [Help 1]


Expected results:
archive should be deployed
Comment 2 sgilda 2013-10-08 11:56:14 EDT
The fix was to removed the filename element from the maven plugin in the EAR pom file.

Also updated the instructions to use 'mvn clean install jboss-as:deploy' for EAR files. Discovered the 'mvn clean package jboss-as:deploy' will not undeploy.
Comment 3 sgilda 2013-10-08 15:31:47 EDT
Rafael figured this one out for me. 

It was a result of a filename element in the Maven plugin section of the POM files that specified the project artifactId for the archive deployment, for example: kitchensink-ear-ear.ear. This overrode the parent project artifactId used for the archive name, for example 'kitchensink-ear.ear'. Maven attempted to deploy an non-existent 'kitchensink-ear-ear.ear' archive.
Comment 4 sgilda 2013-10-09 15:23:06 EDT
I tested these and they work in ER5.1
Comment 5 Vladimir Rastseluev 2013-10-10 07:26:04 EDT
Verified on EAP 6.2.0 ER5.1

Note You need to log in before you can comment on or make changes to this bug.